Skip to main content
POST
/
ad_groups
/
{id}
/
unpause
Unpause ad group
curl --request POST \
  --url https://api.whop.com/api/v1/ad_groups/{id}/unpause \
  --header 'Authorization: Bearer <token>'
{
  "id": "adgrp_xxxxxxxxxxxx",
  "title": "<string>",
  "status": "active",
  "platform": "meta",
  "created_at": "2023-12-01T05:00:00.401Z",
  "updated_at": "2023-12-01T05:00:00.401Z",
  "budget": 6.9,
  "budget_type": "daily",
  "ad_campaign": {
    "id": "adcamp_xxxxxxxxxxx"
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.whop.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

A company API key, company scoped JWT, app API key, or user OAuth token. You must prepend your key/token with the word 'Bearer', which will look like Bearer ***************************

Path Parameters

id
string
required

The unique identifier of the ad group to unpause.

Example:

"adgrp_xxxxxxxxxxxx"

Response

A successful response

An ad group (ad set) belonging to an ad campaign.

id
string
required

The unique identifier for this ad group.

Example:

"adgrp_xxxxxxxxxxxx"

title
string | null
required

Human-readable name shown on the external platform.

status
enum<string>
required

Current operational status of the ad group.

Available options:
active,
paused,
inactive,
in_review,
rejected,
flagged
platform
enum<string>
required

The external ad platform this ad group is running on (e.g., meta, tiktok).

Available options:
meta,
tiktok
created_at
string<date-time>
required

When the ad group was created.

Example:

"2023-12-01T05:00:00.401Z"

updated_at
string<date-time>
required

When the ad group was last updated.

Example:

"2023-12-01T05:00:00.401Z"

budget
number | null
required

Budget amount in dollars.

Example:

6.9

budget_type
enum<string> | null
required

How the budget is allocated (daily or lifetime).

Available options:
daily,
lifetime
ad_campaign
object
required

The ad campaign this ad group belongs to.